###
### Musicextras config file
###
$config = {} unless defined? $config

## User config location. Any settings in the user config will override the
## main config
$config['user_conf'] = File.join(ENV['HOME'], '.musicextras/config.rb')

## Log file
## logdev can also be set to STDERR or STDOUT
$config['log'] = true
$config['logdev'] = File.join(ENV['HOME'], '.musicextras/plugins.log')

## Normally musicextras will output warnings about missing data. Set this
## to true if you want it to shut up
$config['quiet'] = false

## Fetch even more information? Currently this means the artist's biography
$config['more_info'] = true

## Cache variables
$config['cache_dir'] = File.join(ENV['HOME'], '.musicextras', 'cache')
$config['cache'] = true

## Host:Port for GUI to use for data exchange with the client
$config['gui_host'] = 'localhost:1665'

## Default size for GUI window
$config['window_w'] = 625
$config['window_h'] = 500

## Size for GUI to scale images to
## Only the height is specified, since we keep the aspect ratio
$config['image_h'] = 200

## Program to run for editing text. %s is replaced with the filename
$config['editor'] = "/usr/bin/gvim %s"

## Substitutions called on Artist's names before any pages are fetched
## The first item is the regexp to apply, the second is the replacement text.
## \1 \2 \3 etc reference any text captured by ()s in the first regexp
$config['artist_pre_regex'] = [
  [/Tom Petty.*/, 'Tom Petty']
]

## Substitutions called on an Artist's name if no pages could be found
## Same regexp rules from above apply
$config['artist_cond_regex'] = [
  [/^The\s/, ''],
  [/^(?!The\s)(.*)/, 'The \1']
]

# Leave this alone
begin
  require $config['user_conf']
rescue LoadError
end
