#!/usr/bin/ruby -w
# :nodoc all
#
# Test for Cache
#

require 'test/unit'
require 'musicextras/cache'

include MusicExtras

class TC_Cache < Test::Unit::TestCase

  def setup
    @cache = Cache.new('/tmp/musicextras_test')
  end

  def test_vars
    assert_kind_of(String, @cache.dir)
    assert_equal('/tmp/musicextras_test', @cache.dir)
    assert_match(/.*greylist.lst$/, Cache::GREYLIST_FILE)
  end

  def test_save_load
    key = 'test/key'
    assert_match(/.*test\/key/, @cache.save(key, 'MYDATA'))
    assert_equal('MYDATA', @cache.load(key))
    File.unlink(@cache.get_filename(key))
    

    key = 'test/key.ext'
    assert_match(/.*test\/key.ext/, @cache.save(key, 'MYDATA'))
    assert_equal('MYDATA', @cache.load(key))
    File.unlink(@cache.get_filename(key))
  end
end
